# Uses of Class
com.ocient.util.RowBatch

Packages that use RowBatch
Package
Description
com.ocient.util

## Uses of RowBatch in com.ocient.util

Methods in com.ocient.util that return RowBatch
Modifier and Type
Method
Description
`static RowBatch`
RowBatch.`concat(List<RowBatch> batches)`
Method parameters in com.ocient.util with type arguments of type RowBatch
Modifier and Type
Method
Description
`static RowBatch`
RowBatch.`concat(List<RowBatch> batches)`
`boolean`
Iterators.LazyFanInPriorityQueue.`send(int streamIndex, CompletableFutures.SQLResult<RowBatch> batchOrEx, QueuePermit permit)`
Sends an item to the specified stream index.
Constructor parameters in com.ocient.util with type arguments of type RowBatch
Modifier
Constructor
Description
``
`LazyFanInPriorityQueue(int width, int capacity, SortMode sortMode, String queryId, Consumer<CompletableFutures.SQLResult<RowBatch>> onAdd, BiConsumer<CompletableFutures.SQLResult<RowBatch>,QueuePermit> onRemove, Executor executor)`
Constructs a LazyFanInPriorityQueue with the specified parameters.
``
`LazyFanInPriorityQueue(int width, int capacity, SortMode sortMode, String queryId, Consumer<CompletableFutures.SQLResult<RowBatch>> onAdd, BiConsumer<CompletableFutures.SQLResult<RowBatch>,QueuePermit> onRemove, Executor executor)`
Constructs a LazyFanInPriorityQueue with the specified parameters.